/***************************************************************
 * Name:      hobbybrennen_ch_dilutorMain.h
 * Purpose:   Defines Application Frame
 * Author:    hefezelle ()
 * Created:   2018-11-28
 * Copyright: hefezelle (hobbybrennen.ch)
 * License:
 **************************************************************/

#ifndef HOBBYBRENNEN_CH_DILUTORMAIN_H
#define HOBBYBRENNEN_CH_DILUTORMAIN_H

//(*Headers(hobbybrennen_ch_dilutorFrame)
#include <wx/sizer.h>
#include <wx/menu.h>
#include <wx/panel.h>
#include <wx/slider.h>
#include <wx/statusbr.h>
#include <wx/statline.h>
#include <wx/frame.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
//*)

class hobbybrennen_ch_dilutorFrame: public wxFrame
{
    public:

        hobbybrennen_ch_dilutorFrame(wxWindow* parent,wxWindowID id = -1);
        virtual ~hobbybrennen_ch_dilutorFrame();

    private:

        //(*Handlers(hobbybrennen_ch_dilutorFrame)
        void update_text();
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnClose(wxCloseEvent& event);
        void OnTextTempText(wxCommandEvent& event);
        void OnSliderTempCmdScroll(wxScrollEvent& event);
        void OnSliderSourceVolCmdScroll(wxScrollEvent& event);
        void OnSliderSourceCmdScroll(wxScrollEvent& event);
        void OnSliderTargetCmdScroll(wxScrollEvent& event);
        void OnTextTempTextEnter(wxCommandEvent& event);
        void OnTextSourceVolTextEnter(wxCommandEvent& event);
        void OnTextSourceTextEnter(wxCommandEvent& event);
        void OnTextTargetTextEnter(wxCommandEvent& event);
        //*)

        //(*Identifiers(hobbybrennen_ch_dilutorFrame)
        static const long ID_STATICTEXT1;
        static const long ID_SLIDER1;
        static const long ID_TEXTCTRL1;
        static const long ID_STATICTEXT5;
        static const long ID_SLIDER4;
        static const long ID_TEXTCTRL4;
        static const long ID_STATICTEXT2;
        static const long ID_SLIDER2;
        static const long ID_TEXTCTRL2;
        static const long ID_STATICTEXT3;
        static const long ID_SLIDER3;
        static const long ID_TEXTCTRL3;
        static const long ID_STATICLINE1;
        static const long ID_STATICTEXT4;
        static const long ID_STATICTEXT6;
        static const long ID_STATICTEXT7;
        static const long ID_PANEL1;
        static const long idMenuQuit;
        static const long idMenuAbout;
        static const long ID_STATUSBAR1;
        //*)

        //(*Declarations(hobbybrennen_ch_dilutorFrame)
        wxSlider* SliderSourceVol;
        wxSlider* SliderTarget;
        wxFlexGridSizer* FlexGridSizer2;
        wxPanel* Panel1;
        wxTextCtrl* TextTarget;
        wxStatusBar* StatusBar1;
        wxSlider* SliderTemp;
        wxStaticText* result_text2;
        wxStaticText* StaticText1;
        wxStaticText* result_ml;
        wxStaticText* StaticText3;
        wxStaticText* result_text1;
        wxStaticLine* StaticLine1;
        wxSlider* SliderSource;
        wxTextCtrl* TextSourceVol;
        wxTextCtrl* TextSource;
        wxStaticText* StaticText4;
        wxStaticText* StaticText2;
        wxTextCtrl* TextTemp;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // HOBBYBRENNEN_CH_DILUTORMAIN_H
